@extends ('layouts.patient')
@section('inner-content')
    <div class="">
        <div class="d-flex align-items-start pb-2">
            <h4 class="font-weight-bold m-0">Measurements</h4>
        </div>
        <table class="table table-striped table-sm table-bordered mb-0">
            @if($patient->measurements && count($patient->measurements))
                <thead>
                <tr>
                    <th class="px-2 text-secondary">Created</th>
                    <th class="px-2 text-secondary w-25">Category</th>
                    <th class="px-2 text-secondary w-50">Value</th>
                </tr>
                </thead>
                <tbody>
                @foreach($patient->deviceMeasurements as $measurement)
                    <tr>
                        <td class="px-2">{{ friendly_date_time($measurement->created_at) }}</td>
                        <td class="px-2">{{ $measurement->measurement->device_category }}</td>
                        <td class="px-2">
                            @if($measurement->measurement->device_category === 'WEIGHT')
                                <b>{{ round($measurement->measurement->value_weight / 1000, 1) }} Kg</b>
                            @elseif($measurement->measurement->device_category === 'BP')
                                <b>{{ $measurement->measurement->value_systolic }}/{{ $measurement->measurement->value_diastolic }} mmHg</b>
                            @endif
                        </td>
                    </tr>
                @endforeach
                </tbody>
            @else
                <tbody>
                <tr>
                    <td class="text-secondary p-3">No device measurements for this patient</td>
                </tr>
                </tbody>
            @endif
        </table>
    </div>
@endsection
